QGIS Application - Bug report #11664
Locking selected items button in print composer freeze too much.
2014-11-16 10:42 PM - Seb Radzimski

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.6.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 19915
Description

Hi folks!

I have a problem with print composer. In QGIS 2.6 locking selected items button completely freeze objects (maps, labels) so | can’t
change map scale or label text (it is impossible to choose/change locked items properties). In previous versions of QGIS 'lock selected
items' button locked position of object on a ‘sheet’, but it was possible to choose other item and change its properties (scale, etc.). So this
is why | am confused...is it right or wrong? Anyway how can I (in QGIS 2.6) lock object position without freezing all item properties?
Regards!

History

#1 - 2014-11-16 11:42 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

A couple of things to note:

- While you can't select locked items in the composer canvas, you CAN select them using the "items panel" (choose View->Panels->Items if this isn't
visible).

- Locked items can be individually unlocked via the items panel

- All locked items can be unlocked at once via the "Unlock all" toolbar button.

Hope that helps!

#2 - 2014-11-17 12:03 AM - Seb Radzimski
Thanks! Yes | know ... but for my users (usually 40-50 years old engineers) this change is impossible to understand ;)

So | see it is a feature - not a bug!
Cheers!

#3 - 2014-11-17 12:05 AM - Nyall Dawson

Yes - it definitely is a feature! The rationale is that it allows you to lock an item which is stacked above items (for instance, a rectangular border) and freely

interact with the items below it. It's the standard behaviour for design programs, and very handy when you get the hang of it.

#4 - 2014-11-17 12:18 AM - Seb Radzimski
One more thing! I've noticed that on locked map item | can change scale or rotation but | can't use 'move map content' button. | understand the idea but
possibility of locking positions of items on a sheet was very useful.
Regards.
